Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.teleal.cling.model
Interface Constants

    public interface Constants

Field Summary
`static String` | `ARG_TYPE_PREFIX`
`static int` | `DEFAULT_SUBSCRIPTION_DURATION_SECONDS`
`static String` | `IPV4_UPNP_MULTICAST_GROUP`
`static String` | `IPV6_UPNP_ADMINISTRATIVE_ADDRESS`
`static String` | `IPV6_UPNP_GLOBAL_ADDRESS`
`static String` | `IPV6_UPNP_LINK_LOCAL_ADDRESS`
`static String` | `IPV6_UPNP_SITE_LOCAL_ADDRESS`
`static String` | `IPV6_UPNP_SUBNET_ADDRESS`
`static int` | `MIN_ADVERTISEMENT_AGE_SECONDS`
`static String` | `NS_UPNP_CONTROL_10`
`static String` | `NS_UPNP_EVENT_10`
`static String` | `PRODUCT_TOKEN_NAME`
`static String` | `PRODUCT_TOKEN_VERSION`
`static String` | `REGEX_ID`
`static String` | `REGEX_NAMESPACE`
`static String` | `REGEX_TYPE`
`static String` | `REGEX_UDA_NAME`
`static String` | `RESOURCE_DESCRIPTOR_FILE`
`static String` | `RESOURCE_DEVICE_PREFIX`
`static String` | `RESOURCE_EMBEDDED_PREFIX`
`static String` | `RESOURCE_SERVICE_CALLBACK_FILE`
`static String` | `RESOURCE_SERVICE_CONTROL_SUFFIX`
`static String` | `RESOURCE_SERVICE_EVENTS_SUFFIX`
`static String` | `RESOURCE_SERVICE_PREFIX`
`static String` | `SOAP_NS_ENVELOPE`
`static String` | `SOAP_URI_ENCODING_STYLE`
`static int` | `UPNP_MULTICAST_PORT`

Field Detail

### UPNP_MULTICAST_PORT

    static final int UPNP_MULTICAST_PORT

See Also:
  Constant Field Values

### IPV4_UPNP_MULTICAST_GROUP

    static final String IPV4_UPNP_MULTICAST_GROUP

See Also:
  Constant Field Values

### IPV6_UPNP_LINK_LOCAL_ADDRESS

    static final String IPV6_UPNP_LINK_LOCAL_ADDRESS

See Also:
  Constant Field Values

### IPV6_UPNP_SUBNET_ADDRESS

    static final String IPV6_UPNP_SUBNET_ADDRESS

See Also:
  Constant Field Values

### IPV6_UPNP_ADMINISTRATIVE_ADDRESS

    static final String IPV6_UPNP_ADMINISTRATIVE_ADDRESS

See Also:
  Constant Field Values

### IPV6_UPNP_SITE_LOCAL_ADDRESS

    static final String IPV6_UPNP_SITE_LOCAL_ADDRESS

See Also:
  Constant Field Values

### IPV6_UPNP_GLOBAL_ADDRESS

    static final String IPV6_UPNP_GLOBAL_ADDRESS

See Also:
  Constant Field Values

### PRODUCT_TOKEN_NAME

    static final String PRODUCT_TOKEN_NAME

See Also:
  Constant Field Values

### PRODUCT_TOKEN_VERSION

    static final String PRODUCT_TOKEN_VERSION

See Also:
  Constant Field Values

### MIN_ADVERTISEMENT_AGE_SECONDS

    static final int MIN_ADVERTISEMENT_AGE_SECONDS

See Also:
  Constant Field Values

### DEFAULT_SUBSCRIPTION_DURATION_SECONDS

    static final int DEFAULT_SUBSCRIPTION_DURATION_SECONDS

See Also:
  Constant Field Values

### RESOURCE_DEVICE_PREFIX

    static final String RESOURCE_DEVICE_PREFIX

See Also:
  Constant Field Values

### RESOURCE_EMBEDDED_PREFIX

    static final String RESOURCE_EMBEDDED_PREFIX

See Also:
  Constant Field Values

### RESOURCE_SERVICE_PREFIX

    static final String RESOURCE_SERVICE_PREFIX

See Also:
  Constant Field Values

### RESOURCE_SERVICE_CONTROL_SUFFIX

    static final String RESOURCE_SERVICE_CONTROL_SUFFIX

See Also:
  Constant Field Values

### RESOURCE_SERVICE_EVENTS_SUFFIX

    static final String RESOURCE_SERVICE_EVENTS_SUFFIX

See Also:
  Constant Field Values

### RESOURCE_DESCRIPTOR_FILE

    static final String RESOURCE_DESCRIPTOR_FILE

See Also:
  Constant Field Values

### RESOURCE_SERVICE_CALLBACK_FILE

    static final String RESOURCE_SERVICE_CALLBACK_FILE

See Also:
  Constant Field Values

### REGEX_NAMESPACE

    static final String REGEX_NAMESPACE

See Also:
  Constant Field Values

### REGEX_TYPE

    static final String REGEX_TYPE

See Also:
  Constant Field Values

### REGEX_ID

    static final String REGEX_ID

See Also:
  Constant Field Values

### REGEX_UDA_NAME

    static final String REGEX_UDA_NAME

See Also:
  Constant Field Values

### SOAP_NS_ENVELOPE

    static final String SOAP_NS_ENVELOPE

See Also:
  Constant Field Values

### SOAP_URI_ENCODING_STYLE

    static final String SOAP_URI_ENCODING_STYLE

See Also:
  Constant Field Values

### NS_UPNP_CONTROL_10

    static final String NS_UPNP_CONTROL_10

See Also:
  Constant Field Values

### NS_UPNP_EVENT_10

    static final String NS_UPNP_EVENT_10

See Also:
  Constant Field Values

### ARG_TYPE_PREFIX

    static final String ARG_TYPE_PREFIX

See Also:
  Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Teleal GmbH, Switzerland. All Rights Reserved.